org.codehaus.groovy.transform.sc.transformers

## Class BinaryExpressionTransformer

- java.lang.Object
- - org.codehaus.groovy.transform.sc.transformers.BinaryExpressionTransformer

    public class BinaryExpressionTransformer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BinaryExpressionTransformer(StaticCompilationTransformer staticCompilationTransformer)`

### Method Summary

Methods
`protected static boolean` `isNullConstant(Expression expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryExpressionTransformer

    public BinaryExpressionTransformer(StaticCompilationTransformer staticCompilationTransformer)

### Method Detail

#### isNullConstant

    protected static boolean isNullConstant(Expression expression)